#ifndef POLITICALOBJECTH
#define POLITICALOBJECTH 1

#include "commondefs.h"

class tPoliticalObject {
public:
	tPoliticalObject();
	tPoliticalObject(ifstream& fpin);
	~tPoliticalObject();
	void mWriteToDB(ofstream& fpout);
	void mWriteToReport(ofstream& fpout);
	void mModifyTensions();
	long mGetRaceNum();
private:
	// data fields, in order they appear in the database
	long objsize1;
	long objsize2;
	long hdrlength;
	char *header;
	long seperator;
	char objheader[6];
	long identifier;
	long unknown1;
	long numraces;
	struct sTensionElem {
		long tension;
		char percent;
	};
	sTensionElem *tensions;
	char *unknown2; // length is balance of object size
	long remaininglen;
};

#endif